Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IReportContent

    public interface IReportContent

The object represents the report content as a whole.

Method Summary
`IHyperlinkAction` | `createActionContent()` create a anction content.
`IAutoTextContent` | `createAutoTextContent()` create the auto text content.
`ICellContent` | `createCellContent()` create a cell content.
`IContainerContent` | `createContainerContent()` create a container content.
`IDataContent` | `createDataContent()` create the data content.
`IDataContent` | `createDataContent(IContent conent)` create the data content, copy the properties from the template content.
`IForeignContent` | `createForeignContent()` create the foreign content.
`IImageContent` | `createImageContent()` create the image content.
`IImageContent` | `createImageContent(IContent conent)` create the image content, copy the properties from the template content.
`ILabelContent` | `createLabelContent()` create the label content.
`ILabelContent` | `createLabelContent(IContent conent)` create the label content, copy the properties from the template content.
`IListBandContent` | `createListBandContent()`
`IListContent` | `createListContent()`
`IListGroupContent` | `createListGroupContent()`
`IPageContent` | `createPageContent()` create a page content.
`IRowContent` | `createRowContent()` create the row content.
`IStyle` | `createStyle()` create a style.
`ITableBandContent` | `createTableBandContent()`
`ITableContent` | `createTableContent()` create an table content.
`ITableGroupContent` | `createTableGroupContent()`
`ITextContent` | `createTextContent()` create the text content.
`ITextContent` | `createTextContent(IContent conent)` create the text content, copy the properties from the template content.
`IStyle` | `findStyle(java.lang.String styleClass)` find the named style.
`java.lang.String` | `getACL()`
`IContent` | `getContent(InstanceID id)` return the content in this report.
`org.eclipse.birt.report.engine.ir.Report` | `getDesign()` get the report design used to create this report content.
`java.util.List` | `getErrors()` get the error list which occurs in the generation.
`java.util.Map<java.lang.String,java.lang.Object>` | `getExtensions()`
`IPageContent` | `getPageContent(long pageNumber)` The page content in the report content.
`org.eclipse.birt.report.engine.api.script.IReportContext` | `getReportContext()`
`IContent` | `getRoot()` return root content
`java.lang.String` | `getTitle()`
`TOCNode` | `getTOC()` Deprecated. This method shoule be substituted by: `getTOCTree( format, locale ).getTOCTree( );`
`ITOCTree` | `getTOCTree(java.lang.String format, com.ibm.icu.util.ULocale locale)` Gets the toc tree of this report content.
`long` | `getTotalPage()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getUserProperties()`
`void` | `readContent(java.io.DataInputStream in, java.lang.ClassLoader loader)`
`void` | `setACL(java.lang.String acl)`
`void` | `setExtensions(java.util.Map<java.lang.String,java.lang.Object> properties)`
`void` | `setTitle(java.lang.String title)`
`void` | `writeContent(java.io.DataOutputStream out)`

Method Detail

### getDesign

    org.eclipse.birt.report.engine.ir.Report getDesign()

  get the report design used to create this report content.

  Returns:
    the report design.

### getErrors

    java.util.List getErrors()

  get the error list which occurs in the generation.

  Returns:
    error list.

### getTOC

    TOCNode getTOC()

  Deprecated. This method shoule be substituted by:
  `getTOCTree( format, locale ).getTOCTree( );`

  get the TOC structure constructed in the generation.

  Returns:
    the TOC structure.

### getTOCTree

    ITOCTree getTOCTree(java.lang.String format,
                        com.ibm.icu.util.ULocale locale)

  Gets the toc tree of this report content.

  Returns:
    the TOC Tree

### getRoot

    IContent getRoot()

  return root content

  Returns:

### getTotalPage

    long getTotalPage()

### getPageContent

    IPageContent getPageContent(long pageNumber)

  The page content in the report content. If the page is not exist, return NULL.

  Parameters:
    `pageNumber` - page number
  Returns:
    the page content object.

### getContent

    IContent getContent(InstanceID id)

  return the content in this report.

  Parameters:
    `id` - content id
  Returns:
    the content object

### findStyle

    IStyle findStyle(java.lang.String styleClass)

  find the named style.

  Parameters:
    `styleClass` - style name.
  Returns:
    style named with the name, null if not exists.

### createActionContent

    IHyperlinkAction createActionContent()

  create a anction content. The action content can only be use in this report content.

  Returns:
    the action content.

### createStyle

    IStyle createStyle()

  create a style. the style can only be used in this report.

  Returns:
    style created.

### createCellContent

    ICellContent createCellContent()

  create a cell content. the content can only be used in this report.

  Returns:
    cell content.

### createContainerContent

    IContainerContent createContainerContent()

  create a container content. the content can only be used in this report.

  Returns:
    the container content.

### createPageContent

    IPageContent createPageContent()

  create a page content. the page content can only be used in this report.

  Returns:
    the page content.

### createTableContent

    ITableContent createTableContent()

  create an table content. the table content can only be used in this report.

  Returns:
    the table.

### createTableGroupContent

    ITableGroupContent createTableGroupContent()

### createTableBandContent

    ITableBandContent createTableBandContent()

### createListContent

    IListContent createListContent()

### createListGroupContent

    IListGroupContent createListGroupContent()

### createListBandContent

    IListBandContent createListBandContent()

### createRowContent

    IRowContent createRowContent()

  create the row content. the row can only be used in this report.

  Returns:
    the row content.

### createTextContent

    ITextContent createTextContent()

  create the text content. the text can only be used in this report.

  Returns:
    the text content.

### createTextContent

    ITextContent createTextContent(IContent conent)

  create the text content, copy the properties from the template content. the text can only be used in this report.

  Parameters:
    `content` - the content template.
  Returns:
    the text content.

### createForeignContent

    IForeignContent createForeignContent()

  create the foreign content. the foreign content can only be used in this report.

  Returns:
    the foreign content

### createImageContent

    IImageContent createImageContent()

  create the image content. the image can only be used in this report.

  Returns:
    the image content.

### createImageContent

    IImageContent createImageContent(IContent conent)

  create the image content, copy the properties from the template content. the image can only be used in this report.

  Parameters:
    `content` - the content template.
  Returns:
    the image content.

### createLabelContent

    ILabelContent createLabelContent()

  create the label content. the label can only be used in this report.

  Returns:
    the label content.

### createAutoTextContent

    IAutoTextContent createAutoTextContent()

  create the auto text content. the auto text can only be used in this report.

  Returns:
    the auto text content.

### createLabelContent

    ILabelContent createLabelContent(IContent conent)

  create the label content, copy the properties from the template content. the label can only be used in this report.

  Parameters:
    `content` - the content template.
  Returns:
    the label content.

### createDataContent

    IDataContent createDataContent()

  create the data content. the data can only be used in this report.

  Returns:
    the data content.

### createDataContent

    IDataContent createDataContent(IContent conent)

  create the data content, copy the properties from the template content. the data can only be used in this report.

  Parameters:
    `content` - the content template.
  Returns:
    the data content.

### getACL

    java.lang.String getACL()

### setACL

    void setACL(java.lang.String acl)

### getReportContext

    org.eclipse.birt.report.engine.api.script.IReportContext getReportContext()

  Returns:
    the ReportContext

### getUserProperties

    java.util.Map<java.lang.String,java.lang.Object> getUserProperties()

### getExtensions

    java.util.Map<java.lang.String,java.lang.Object> getExtensions()

### setExtensions

    void setExtensions(java.util.Map<java.lang.String,java.lang.Object> properties)

### writeContent

    void writeContent(java.io.DataOutputStream out)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readContent

    void readContent(java.io.DataInputStream in,
                     java.lang.ClassLoader loader)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTitle

    java.lang.String getTitle()

### setTitle

    void setTitle(java.lang.String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.